#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum EAppControllerSupportLevel {
    None = 0,
    Partial = 1,
    Full = 2,
}

impl EAppControllerSupportLevel {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::None as i32 => Some(Self::None),
            x if x == Self::Partial as i32 => Some(Self::Partial),
            x if x == Self::Full as i32 => Some(Self::Full),
            _ => None,
        }
    }
}
